function show_result_box
res = load('result.txt');
imshow('test.png');
hold on;
color = [0,0,1; 1,1,0; 1,0,0; 0,1,0; 1,0,0; 0,1,0; 1,0,1; 0,1,1; 1,0,1; 0,1,1];
color = color * 0.6;
color(8,:) = [0,1,1];
color(10,:) = [0,1,1];
color = [0,0,0.8; 0.5,0.5,0; 0.6,0,0; 0,0.4,0; 0.6,0,0; 0,0.4,0; 0.6,0,0.6; 0,1,1; 0.6,0,0.6; 0,1,1];
        
   h(1) = 40;
   w(1) = 30;
   h(2) = 20;
   w(2) = 15;
   h(3) = 11/2;
   w(3) = 43/2;
   h(4) = 11/2;
   w(4) = 45/2;
   h(5) = 11/2;
   w(5) = 43/2;
   h(6) = 11/2;
   w(6) = 45/2;
   h(7) = 26/2;
   w(7) = 60/2;
   h(8) = 19/2;
   w(8) = 67/2;
   h(9) = 26/2;
   w(9) = 60/2;
   h(10) = 19/2;
   w(10) = 67/2;

for n = 1 : 10
    if n == 2 
       continue;
    end
    id = find(res(:,1) == n - 1);
    z = res(id, :);
    id2 = find(z(:,3) > 0 ); %== max(z(:,3)));
    z = z(id2, :);
    for k = 1 : size(z, 1) 
      fname = sprintf('part%d.txt', n);
      fd = fopen(fname, 'rt');
      len = fscanf(fd, '%d', 1);
      partC = floor(z(k,2)+1);
      for m = 1 : partC
         x1 = fscanf(fd, '%d', 1);
         y1 = fscanf(fd, '%d', 1);             
         x2 = fscanf(fd, '%d', 1);       
         y2 = fscanf(fd, '%d', 1);     
         thita = fscanf(fd, '%f', 1);     
         cost = fscanf(fd, '%f', 1);
      end
      fclose(fd);

      u = (x1+x2)/2;
      v = (y1+y2)/2;        
      if (n == 2) 
          v = v + 5;
      end
      rmat = [cos(thita), sin(thita), u; -sin(thita), cos(thita), v];
      ww = w(n);
      hh = h(n);
      p = [-ww, ww, ww, -ww, -ww; -hh, -hh, hh, hh, -hh; 1, 1, 1, 1, 1];
      q = rmat * p;
      plot(q(1,:), q(2,:), 'Color', color(n,:), 'LineWidth', 4);
    end
end
hold off;
drawnow;
                    
 
